Bug 250893 - Review Request: audio-convert-mod - A simple audio file converter supporting many formats
Summary: Review Request: audio-convert-mod - A simple audio file converter supporting ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-04 17:52 UTC by Stewart Adam
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-09-04 22:11:55 UTC
jpmahowald: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Stewart Adam 2007-08-04 17:52:47 UTC
Spec URL: http://www.diffingo.com/downloads/audio-convert-mod/audio-convert-mod.spec
SRPM URL: http://www.diffingo.com/downloads/audio-convert-mod/audio-convert-mod-3.45.0-1.fc7.src.rpm
Description: audio-convert-mod is a simple audio file converter supporting various formats via external binaries. It facilitates the batch conversion of audio files from one format to another by access from the menu or by the user script where at a right-click files can be converted at once. It also supports file tags/metadata where applicable.

rpmlint is silent on the source and binary rpms.

Comment 1 John Mahowald 2007-08-24 14:36:06 UTC
License: GPL is not sufficient, you have to specify which one, as per 
http://fedoraproject.org/wiki/Licensing

I notice source files specifying GPL 2 or later.


You have your python macro backwards: get_python_lib(1) is how the sitearch
macro is defined. Really it should be get_python_lib() for a noarch. However, in
the Makefile, it expands $(LIBDIR). I suggest fixing this to use python to PYMODDIR.

There is an uninstall script. Remove, rpm is going to manage this.


Does not use restricted code, rather calls programs if they exist. Good.

Comment 2 Stewart Adam 2007-08-25 16:18:25 UTC
I've made a new new release 3.45.1 (fixes the Makefiles) and adds a few new
features. In terms of the spec, I reverted to sitelib rather than sitearch.

SPEC: http://www.diffingo.com/downloads/audio-convert-mod/audio-convert-mod.spec
SRPM:
http://www.diffingo.com/downloads/audio-convert-mod/audio-convert-mod-3.45.1-1.fc8.src.rpm

rpmlint is still silent on both.

Comment 3 John Mahowald 2007-09-01 06:55:22 UTC
Good:
+ follows python template
+ name version release good
+ license (GPLv2+)
+ source matches upstream
+ builds on x86_64
+ rpmlint clean
+ %clean section
+ .desktop file

APPROVED

Comment 4 Stewart Adam 2007-09-01 19:02:37 UTC
New Package CVS Request
=======================
Package Name: audio-convert-mod
Short Description: A simple audio file converter supporting many formats
Owners: firewing
Branches: FC-6 F-7
InitialCC: firewing
Cvsextras Commits: no

Comment 5 Stewart Adam 2007-09-01 20:43:45 UTC
Forgot to set the flag...

Comment 6 Kevin Fenzi 2007-09-03 18:21:56 UTC
cvs done.

Comment 7 Stewart Adam 2007-09-04 21:51:01 UTC
Built - Thanks

Comment 8 Fedora Update System 2007-09-04 22:11:53 UTC
audio-convert-mod-3.45.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.